function x = compute_idgt(tf_mat, idgt)
%%  x = compute_idgt(tf_mat, idgt)
% This function reconstruct a signal form its  the time-frequency (TF) matrix 
%
% Input:
%     - tf_mat: TF matrix
%     - idgt: inverse of gabor transform operator
% Output:
%   -x: reconstructed signal
%    
% Author : A. Marina KREME
% e-mail : ama-marina.kreme@lis-lab.fr/ama-marina.kreme@univ-amu.fr
% Created: 2020-28-01
%%

x = idgt(tf_mat);

end 